Subject: Re: [Bier] WGLC: draft-ietf-bier-php

From: Greg Shepherd <[email-masked]>
Date: Mon, 22 Nov 2021 08:31:43 -0800

We have technically 'passed' last call, by time.. We were hoping to hear
from Loa on the last rev.
If the authors would like to see this work progress, please update the
draft.

We will also need a doc Shepherd to step up.

Thanks,
 - Shep
(Chairs)

On Thu, Sep 17, 2020 at 3:40 AM Jeffrey (Zhaohui) Zhang <[email-masked]>
wrote:

> Hi Loa,
>
> Please see
> https://mailarchive.ietf.org/arch/msg/bier/xi6hpAdFLUBjYBVo9I4nr_418x4/
> and
> https://mailarchive.ietf.org/arch/msg/bier/nbPn1uq8XM_RsQq0vaUBQZ5JYjM/.
>
> The -06 revision is here:
> https://tools.ietf.org/html/draft-ietf-bier-php-06.
>
> Thanks!
> Jeffrey
>
>
> Juniper Business Use Only
>
> -----Original Message-----
> From: BIER <[email-masked]> On Behalf Of Loa Andersson
> Sent: Thursday, September 17, 2020 3:20 AM
> To: Gyan Mishra <[email-masked]>; Mankamana Mishra (mankamis)
> <mankamis=[email-masked]>
> Cc: IJsbrand Wijnands (iwijnand) <iwijnand=[email-masked]>;
> Greg Shepherd <[email-masked]>; [email-masked]
> Subject: Re: [Bier] WGLC: draft-ietf-bier-php
>
> [External Email. Be cautious of content]
>
>
> Working Group, authors,
>
> I don't think I saw a response on this.
>
> /Loa
>
>
> On 22/08/2020 13:57, Loa Andersson wrote:
> > Working Group,
> >
> > I've had time to read the draft a bit more in detail.
> >
> > I'm convinced that this will work, and support progressing the draft.
> >
> > I still think there are some minor description details that could be
> > improved.
> >
> > The draft says:
> >
> >     One way to solve this problem is to use Penultimate Hop Popping (PHP)
> >     so that the upstream BFR can pop the BIER header and send the payload
> >     "natively" (note that the upstream BFR can be connected directly or
> >     indirectly via any type of tunnel to the PE).  This is similar to
> >     Multi-Protocol Label Switching (MPLS) PHP though it is the BIER
> >     header that is popped.
> >
> > This indicate that this is a "per node" decision, while in MPLS it is
> > a per LSP decision.
> >
> > I would think that it is possible for one node to be the penultimate
> > node for some traffic but not for other traffic, even though the
> > traffic is sent to the same node, which can be both ultimate node,
> > pen-ultimate node or transit node.
> >
> >
> >       +-------+              +-------+          +-------+
> >       |       |              |       |          |       |
> > -a,b-+   A   +-----a',b-----+   B   +----a'----+  CPE1 |
> >       |       |              |       |          |       |
> >       +-------+              +---+---+          +-------+
> >                                  |
> >                                  b'
> >                                  |
> >                              +---+---+          +-------+
> >                              |       |          |       |
> >                              +   C   +----b'----+  CPE2 |
> >                              |       |          |       |
> >                              +---+---+          +-------+
> >
> >
> > Two streams comes in to A from the left (a and b).
> >
> > A is the penultimate node for traffic to to CPE1 (a) so the BIER
> > header is popped.
> >
> > A is not the  penultimate node for traffic to to CPE2 (b) so the BIER
> > header is popped.
> >
> > Both a' and b is sent to B.
> >
> > B forward a' natively to CPE1.
> >
> > B is the penultimate node for traffic to to CPE2 (b) so the BIER
> > header is popped.
> >
> > b' is forwarded to C and onto CPE2
> >
> > Works just fine.
> >
> > Question: If the PHP is a "per node decision" how is A stopped from
> > doing PHP for b?
> >
> > /Loa
> >
> >
> >
> > On 22/08/2020 05:20, Gyan Mishra wrote:
> >>
> >> I support advancing this critical draft forward.  I agree that the
> >> PHP feature traditionally used with MPLS and has been adopted by SR
> >> and now by BIER for similar reasons of being able to pop the BIER
> >> header similar to what is done with SR PHP concept and now extensible
> >> with BIER for Non-BRF capable PE's.
> >>
> >> BIER IPv6 is still being developed, however I think maybe BIERin6
> >> could take advantage of  PHP by popping the encapsulated L2 1/2 BIER
> >> shim for "Non-BFR" capable PE.  I think for BIERv6 as the BIER header
> >> is encoded in DOH it may be difficult to support PHP.
> >>
> >> Thanks
> >>
> >> Gyan
> >>
> >> On Wed, Aug 19, 2020 at 2:01 PM Mankamana Mishra (mankamis)
> >> <mankamis=[email-masked]
> >> <mailto:[email-masked]>> wrote:
> >>
> >>     Support moving this document forward. ____
> >>
> >>     __ __
> >>
> >>     *From: *BIER <[email-masked] <mailto:[email-masked]>>
> >>     on behalf of "IJsbrand Wijnands (iwijnand)"
> >>     <iwijnand=[email-masked]
> >>     <mailto:[email-masked]>>
> >>     *Date: *Monday, August 17, 2020 at 11:56 AM
> >>     *To: *Greg Shepherd <[email-masked] <mailto:[email-masked]>>
> >>     *Cc: *"[email-masked] <mailto:[email-masked]>" <[email-masked]
> >>     <mailto:[email-masked]>>
> >>     *Subject: *Re: [Bier] WGLC: draft-ietf-bier-php____
> >>
> >>     __ __
> >>
> >>     In support moving this draft forward, ____
> >>
> >>     __ __
> >>
> >>     Thx,____
> >>
> >>     __ __
> >>
> >>     Ice.____
> >>
> >>     Sent from my iPhone____
> >>
> >>
> >>
> >>     ____
> >>
> >>         On 13 Aug 2020, at 05:31, Greg Shepherd <[email-masked]
> >>         <mailto:[email-masked]>> wrote:____
> >>
> >>
> >>         Please read and respond to this thread. We had a WGLC for this
> >>         draft previously, but had no response. Let’s do better. ____
> >>
> >>         __ __
> >>
> >>
> >> https://urldefense.com/v3/__https://datatracker.ietf.org/doc/draft-ie
> >> tf-bier-php/______;!!NEt6yMaO-gk!Xc7KbkW_lel3I36HaEzsUA2xMeb5gSroB5W1
> >> mBAhG2yLZjknTH9OQEibSJ4RCvEs$
> >>
> >>         __ __
> >>
> >>         Start of short LC timer. Respond by Aug 19..____
> >>
> >>         __ __
> >>
> >>         - Shep____
> >>
> >>         (Chairs)____
> >>
> >>         _______________________________________________
> >>         BIER mailing list
> >>         [email-masked] <mailto:[email-masked]>
> >>
> >> https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/bie
> >> r______;!!NEt6yMaO-gk!Xc7KbkW_lel3I36HaEzsUA2xMeb5gSroB5W1mBAhG2yLZjk
> >> nTH9OQEibSDeBjgsU$
> >>
> >>     _______________________________________________
> >>     BIER mailing list
> >>     [email-masked] <mailto:[email-masked]>
> >>
> >> https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/bie
> >> r__;!!NEt6yMaO-gk!Xc7KbkW_lel3I36HaEzsUA2xMeb5gSroB5W1mBAhG2yLZjknTH9
> >> OQEibSLzVgreZ$
> >>
> >>
> >>
> >> --
> >>
> >> <https://urldefense.com/v3/__http://www.verizon.com/__;!!NEt6yMaO-gk!
> >> Xc7KbkW_lel3I36HaEzsUA2xMeb5gSroB5W1mBAhG2yLZjknTH9OQEibSH6MkdrA$ >
> >>
> >> *Gyan Mishra*
> >>
> >> /Network Solutions A//rchitect /
> >>
> >> /M 301 502-1347
> >> 13101 Columbia Pike
> >> /Silver Spring, MD
> >>
> >>
> >>
> >> _______________________________________________
> >> BIER mailing list
> >> [email-masked]
> >> https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/bie
> >> r__;!!NEt6yMaO-gk!Xc7KbkW_lel3I36HaEzsUA2xMeb5gSroB5W1mBAhG2yLZjknTH9
> >> OQEibSLzVgreZ$
> >>
> >
>
> --
>
> Loa Andersson                        email: [email-masked]
> Senior MPLS Expert                          [email-masked]
> Bronze Dragon Consulting             phone: +46 739 81 21 64
>
> _______________________________________________
> BIER mailing list
> [email-masked]
>
> https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/bier__;!!NEt6yMaO-gk!Xc7KbkW_lel3I36HaEzsUA2xMeb5gSroB5W1mBAhG2yLZjknTH9OQEibSLzVgreZ$
>